How can I find out what version of git I'm running?

Git

Git Problem Overview


I'm trying to follow some tutorials to learn how to use Git but some of the instructions are for specific versions.

Is there a command that I can use find out what version I have installed?

Git Solutions


Solution 1 - Git

$ git --version
git version 1.7.3.4

git help and man git both hint at the available arguments you can pass to the command-line tool

Solution 2 - Git

If you're using the command-line tools, running git --version should give you the version number.

Solution 3 - Git

In a command prompt:

$ git --version

Solution 4 - Git

Or even just

git version

Results in something like

> git version 1.8.3.msysgit.0

Solution 5 - Git

From Gareth's answer:

> git help and man git both hint at the available arguments you can pass to the command-line tool

Actually, the git version command finally gets an official help page with Git 2.34 (Q4 2021):

See commit b6d8887 (14 Sep 2021) by Matthias Aßhauer (rimrul).
(Merged by Junio C Hamano -- gitster -- in commit 188da7d, 23 Sep 2021)

> ## documentation: add documentation for 'git version'
> Signed-off-by: Matthias Aßhauer

> While 'git version'(man) is probably the least complex git command, it is a non-experimental user-facing builtin command.
> As such it should have a help page.
> > Both git help(man) and git version can be called as options (--help/--version) that internally get converted to the corresponding command.
> Add a small paragraph to Documentation/git.txt describing how these two options interact with each other and link to this help page for the sub-options that --version can take.
> Well, currently there is only one sub-option, but that could potentially increase in future versions of Git.

git version now includes in its man page:

> ## git-version(1) > > NAME > ---- > git-version - Display version information about Git > > SYNOPSIS > -------- > > git version [--build-options] > > DESCRIPTION > ----------- > With no options given, the version of 'git' is printed on the standard output. > > Note that git --version is identical to git version because the > former is internally converted into the latter. > > OPTIONS > ------- > ## --build-options > > Include additional information about how git was built for diagnostic > purposes.

git now includes in its man page: > > This option is internally converted to git version ... and accepts > the same options as the git version command.
If --help is also given, it takes precedence over --version.

Solution 6 - Git

which git &> /dev/null || { echo >&2 "I require git but it's not installed.  Aborting."; exit 1; }
echo "Git is installed."

That will echo "Git is installed" if it is, otherwise, it'll echo an error message. You can use this for scripts that use git

It's also customizable, so you can change "which git" to "which java" or something, and change the error message.

Attributions

All content for this solution is sourced from the original question on Stackoverflow.

The content on this page is licensed under the Attribution-ShareAlike 4.0 International (CC BY-SA 4.0) license.

Content TypeOriginal AuthorOriginal Content on Stackoverflow
QuestionPaul SheldrakeView Question on Stackoverflow
Solution 1 - GitGarethView Answer on Stackoverflow
Solution 2 - GitGnatView Answer on Stackoverflow
Solution 3 - GitrachelView Answer on Stackoverflow
Solution 4 - GitnawfalView Answer on Stackoverflow
Solution 5 - GitVonCView Answer on Stackoverflow
Solution 6 - GitLee IkardView Answer on Stackoverflow